FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- File List
- File Members

Defines | Functions | Variables
fl_color.cxx File Reference

Color handling. More...

`#include "Fl_XColor.H"`
`#include <FL/Fl.H>`
`#include <FL/x.H>`
`#include <FL/fl_draw.H>`
`#include "fl_cmap.h"`

## Defines
#define | fl_overlay 0
| HAVE_OVERLAY determines whether fl_overlay is variable or defined as 0.
## Functions
Fl_Color | fl_color_average (Fl_Color color1, Fl_Color color2, float weight)
| Returns the weighted average color between the two given colors.
Fl_Color | fl_contrast (Fl_Color fg, Fl_Color bg)
| Returns a color that contrasts with the background color.
Fl_Color | fl_inactive (Fl_Color c)
| Returns the inactive, dimmed version of the given color.
ulong | fl_xpixel (uchar r, uchar g, uchar b)
| Returns the X pixel number used to draw the given rgb color.
ulong | fl_xpixel (Fl_Color i)
| Returns the X pixel number used to draw the given FLTK color index.
## Variables
uchar | fl_bluemask
| color mask used in current color map handling
int | fl_blueshift
| color shift used in current color map handling
int | fl_extrashift
| color shift used in current color map handling
uchar | fl_greenmask
| color mask used in current color map handling
int | fl_greenshift
| color shift used in current color map handling
uchar | fl_redmask
| color mask used in current color map handling
int | fl_redshift
| color shift used in current color map handling
Fl_XColor | fl_xmap [1][256]
| HAVE_OVERLAY determines whether fl_xmap is one or two planes.

## Detailed Description

Color handling.